org.apache.olingo.client.api.domain

## Class AbstractClientValue

- java.lang.Object
- - org.apache.olingo.client.api.domain.AbstractClientValue

- All Implemented Interfaces:
    ClientValue

      public abstract class AbstractClientValue
      extends Object
      implements ClientValue

  Abstract representation of an OData entity property value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientValue(String typeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<OV extends ClientValue> ClientCollectionValue<OV>` | `asCollection()` Casts to collection value.
    `ClientComplexValue` | `asComplex()` Casts to complex value.
    `ClientPrimitiveValue` | `asPrimitive()` Casts to primitive value.
    `boolean` | `equals(Object obj)`
    `String` | `getTypeName()` Gets value type name.
    `int` | `hashCode()`
    `boolean` | `isCollection()` Check is is a collection value.
    `boolean` | `isComplex()` Check is is a complex value.
    `boolean` | `isPrimitive()` Check is is a primitive value.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientValue

      `asEnum, isEnum`

- - ### Constructor Detail

    - #### AbstractClientValue

          public AbstractClientValue(String typeName)

  - ### Method Detail

    - #### getTypeName

          public String getTypeName()

      Description copied from interface: `ClientValue`
      Gets value type name.
      Specified by:
        `getTypeName` in interface `ClientValue`
      Returns:
        value type name.

    - #### isPrimitive

          public boolean isPrimitive()

      Check is is a primitive value.
      Specified by:
        `isPrimitive` in interface `ClientValue`
      Returns:
        'TRUE' if primitive; 'FALSE' otherwise.

    - #### asPrimitive

          public ClientPrimitiveValue asPrimitive()

      Casts to primitive value.
      Specified by:
        `asPrimitive` in interface `ClientValue`
      Returns:
        primitive value.

    - #### isComplex

          public boolean isComplex()

      Check is is a complex value.
      Specified by:
        `isComplex` in interface `ClientValue`
      Returns:
        'TRUE' if complex; 'FALSE' otherwise.

    - #### asComplex

          public ClientComplexValue asComplex()

      Casts to complex value.
      Specified by:
        `asComplex` in interface `ClientValue`
      Returns:
        complex value.

    - #### isCollection

          public boolean isCollection()

      Check is is a collection value.
      Specified by:
        `isCollection` in interface `ClientValue`
      Returns:
        'TRUE' if collection; 'FALSE' otherwise.

    - #### asCollection

          public <OV extends ClientValue> ClientCollectionValue<OV> asCollection()

      Casts to collection value.
      Specified by:
        `asCollection` in interface `ClientValue`
      Type Parameters:
        `OV` - The actual ODataValue interface.
      Returns:
        collection value.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.